org.eclipse.emf.cdo.common.branch

## Interface CDOBranchCreatedEvent

- All Superinterfaces:
    CDOBranchChangedEvent, CDOBranchProvider, IEvent

  Deprecated.
  As of 4.3 use `CDOBranchChangedEvent`.

      @Deprecated
      public interface CDOBranchCreatedEvent
      extends CDOBranchChangedEvent

  An `event` fired from a `branch manager` when a new `branch` has been created.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchChangedEvent

      `CDOBranchChangedEvent.ChangeKind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOBranch` | `getBranch()` Deprecated.
    `CDOBranchManager` | `getSource()` Deprecated.

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchChangedEvent

      `getChangeKind`

- - ### Method Detail

    - #### getSource

          CDOBranchManager getSource()

      Deprecated.
      Specified by:
        `getSource` in interface `CDOBranchChangedEvent`
      Specified by:
        `getSource` in interface `IEvent`

    - #### getBranch

          CDOBranch getBranch()

      Deprecated.
      Specified by:
        `getBranch` in interface `CDOBranchChangedEvent`
      Specified by:
        `getBranch` in interface `CDOBranchProvider`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html